<?php

namespace App\Modules\HtlCampLock\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListHtlCampLockQuery implements Query
{
    public function __construct(
        private int $Id_HtlCampSchedule,
        private string $Action
    ) {
    }

    public function getIdHtlCampSchedule()
    {
        return $this->Id_HtlCampSchedule;
    }

    public function getAction()
    {
        return $this->Action;
    }
}
